Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.typehandling
[Java] Class GroovyCastException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.ClassCastException
                      org.codehaus.groovy.runtime.typehandling.GroovyCastException

    public class GroovyCastException
    extends ClassCastException

Constructor Summary
`GroovyCastException(Object objectToCast, Class classToCastTo, Exception cause)` @param objectToCast object we tried to cast
`GroovyCastException(Object objectToCast, Class classToCastTo)` @param objectToCast object we tried to cast
`GroovyCastException(String message)` @param message custom Exception message

Method Summary

Methods inherited from class ClassCastException
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressedException, getSuppressedExceptions, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class RuntimeException
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressedException, getSuppressedExceptions, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Exception
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressedException, getSuppressedExceptions, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Throwable
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressedException, getSuppressedExceptions, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### GroovyCastException

    public GroovyCastException(Object objectToCast, Class classToCastTo, Exception cause)

  Parameters:
    `objectToCast` - object we tried to cast
    `classToCastTo` - class we tried to cast to
    `cause` - not kept but we pass on message from this Exception if any

### GroovyCastException

    public GroovyCastException(Object objectToCast, Class classToCastTo)

  Parameters:
    `objectToCast` - object we tried to cast
    `classToCastTo` - class we tried to cast to

### GroovyCastException

    public GroovyCastException(String message)

  Parameters:
    `message` - custom Exception message

Copyright © 2003-2010 The Codehaus. All rights reserved.